Skip to content
extensions / Commerce extension
GET/api/projects/{project_id}/sales/shipment-restrictions/{restriction_id}

Get Shipment Restriction

Returns a single shipment restriction for a project by id.

Authentication

Requirement
Required
Credential type
Bearer API key
Scopes
Not specified

Permissions

  • Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.

Headers

NameRequiredTypeDetails
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

NameRequiredTypeDetails
project_idYesNot specified
Description: Target project identifier.
restriction_idYesNot specified
Description: Identifier for restriction.

Query Parameters

Request Body

Response Body

Example 200 response

json
{
  "id": 1,
  "project_id": 1,
  "name": "Example",
  "description": "string",
  "is_active": "string",
  "restricted_carriers": [],
  "restricted_methods": [],
  "show_message": "string",
  "restriction_message": "string",
  "show_message_once": "string",
  "conditions": [],
  "admin_area_only": "string",
  "customer_roles": [],
  "days_of_week": "string",
  "time_from": "string",
  "time_to": "string",
  "apply_with_coupon_codes": [],
  "apply_with_cart_rules": [],
  "do_not_apply_with_coupon_codes": [],
  "do_not_apply_with_cart_rules": [],
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z"
}

Errors

404 not_found

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified